﻿using UnityEngine;
using System.Collections;

public class BrickScript : MonoBehaviour {

	public ParticleSystem explosionParticles;
	private ParticleSystem gibs;
	private Animator animator;

	// Use this for initialization
	void Start () {
		animator = GetComponent<Animator>();
	}
	
	// Update is called once per frame
	void Update () {
	
	}

	void OnCollisionEnter(Collision collision) {

		gibs = Instantiate(explosionParticles, transform.position, transform.rotation) as ParticleSystem;
		
		float red = Random.Range(0, 1.0f);
		float green = Random.Range (0, 1.0f);
		float blue = Random.Range (0, 1.0f);
		
		gibs.startColor = new Color(red,green,blue, 255);
		
		gibs.Play();
		gibs.transform.parent = transform;
		Collider collider = GetComponent<Collider>();
		collider.enabled = false;
		animator.SetBool("IsDead", true);
	}

	public void DeathAnimationEnded() {
		renderer.enabled = false;
		collider.enabled = false;
		animator.SetBool("IsDead", false);
	}

}
